"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const scopeStack_1 = require("./scopeStack");
class GlobalRaii {
    // noinspection JSUnusedGlobalSymbols
    // noinspection JSMethodCanBeStatic
    push(resource) {
        return scopeStack_1.scopeStack.pushToTopScope(resource);
    }
    // noinspection JSUnusedGlobalSymbols
    // noinspection JSMethodCanBeStatic
    saveCurrentAsyncScope() {
        return scopeStack_1.scopeStack.saveCurrentAsyncScope();
    }
}
exports.raii = new GlobalRaii();
